Package voltage.core

# Enum Class VoltageKeyboard.KeyboardOrientation

java.lang.Object
java.lang.Enum<VoltageKeyboard.KeyboardOrientation>
voltage.core.VoltageKeyboard.KeyboardOrientation

All Implemented Interfaces:
  `Serializable`, `Comparable<VoltageKeyboard.KeyboardOrientation>`, `Constable`

Enclosing class:
  `VoltageKeyboard`

public static enum VoltageKeyboard.KeyboardOrientation extends Enum<VoltageKeyboard.KeyboardOrientation>
The orientation of the keyboard such as horizontal or vertical.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Horizontal`
  keys go from left to right.
  `VerticalLeft`
  keys go from top to bottom with the black keys butted up to the left
  `VerticalRight`
  keys go from top to bottom with the black keys butted up to the right

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VoltageKeyboard.KeyboardOrientation`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VoltageKeyboard.KeyboardOrientation[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Horizontal

    public static final VoltageKeyboard.KeyboardOrientation Horizontal
    keys go from left to right.

  - ### VerticalLeft

    public static final VoltageKeyboard.KeyboardOrientation VerticalLeft
    keys go from top to bottom with the black keys butted up to the left

  - ### VerticalRight

    public static final VoltageKeyboard.KeyboardOrientation VerticalRight
    keys go from top to bottom with the black keys butted up to the right

- ## Method Details

  - ### values

    public static VoltageKeyboard.KeyboardOrientation[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VoltageKeyboard.KeyboardOrientation valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null